'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _g, _defs;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgPlasticBottle = function SvgPlasticBottle(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 80 80",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    clipPath: "url(#PlasticBottle_svg__a)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "currentColor",
    d: "M25 74.712q.093.12.166.252c.34.608.76 1.17 1.25 1.674.446.433.977.777 1.562 1.011a4.9 4.9 0 0 0 1.846.351H50.18a4.9 4.9 0 0 0 1.846-.352 4.8 4.8 0 0 0 1.563-1.01c.49-.504.91-1.066 1.249-1.674.078-.126.125-.206.161-.252V25.33c-.12-3.885-1.098-6.585-3.154-8.756l-2.232-2.076a8.9 8.9 0 0 1-2.779-4.49V8.445h1c.169 0 .332-.065.452-.18a.62.62 0 0 0 .187-.438V2.618a.6.6 0 0 0-.187-.437.66.66 0 0 0-.453-.181H31.921a.66.66 0 0 0-.453.181.61.61 0 0 0-.187.437v5.233c0 .164.068.321.188.437s.282.181.452.181h1.265v1.539a8.8 8.8 0 0 1-2.78 4.489l-2.226 2.096c-2.082 2.161-3.045 4.86-3.17 8.756zm25.166 2.076H29.84a3.62 3.62 0 0 1-2.501-1.003 3.38 3.38 0 0 1-1.043-2.415V47.236h27.398V73.34c0 .45-.09.896-.266 1.312a3.5 3.5 0 0 1-1.91 1.85 3.6 3.6 0 0 1-1.337.261zm3.544-30.763H26.295V27.46h.104l27.31.025zm0-19.776H26.295v-2.332a10.47 10.47 0 0 1 2.779-6.434l2.2-2.097c1.562-1.397 3.17-3.9 3.17-5.403V8.414H45.55v1.558c0 1.418 1.64 3.942 3.169 5.404l2.206 2.096a10.47 10.47 0 0 1 2.78 6.435zM47.173 7.243H32.545V3.247h14.628z"
  }))), _defs || (_defs = /*#__PURE__*/React__namespace.createElement("defs", null, /*#__PURE__*/React__namespace.createElement("clipPath", {
    id: "PlasticBottle_svg__a"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    d: "M0 0h80v80H0z"
  })))));
};

exports.ReactComponent = SvgPlasticBottle;
